get_scaling_matrix(3)

NAME
get_scaling_matrix, get_scaling_matrix_f

SYNOPSIS
#include <allegro.h>

void get_scaling_matrix(MATRIX *m, fixed x, fixed y, fixed z); void get_scaling_matrix_f(MATRIX_f *m, float x, float y, float z);

DESCRIPTION
Constructs a scaling matrix, storing it in m. When applied to the point (px, py, pz), this matrix will produce the point (px*x, py*y, pz*z). In other words, it stretches or shrinks things.

SEE ALSO
apply_matrix(3), get_transformation_matrix(3), qscale_matrix(3)